## compiz 0.9.13.1%2B18.04.20180302-0ubuntu1%2B9.0trisquel1

=== debian/changelog ===
compiz (1:0.9.13.1+18.04.20180302-0ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 19:58:46 +0000

compiz (1:0.9.13.1+18.04.20180302-0ubuntu1) bionic; urgency=medium

  [ Alberts Muktupāvels ]
  * Make docks and spashscreens appear focused.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 02 Mar 2018 17:02:45 +0000

compiz (1:0.9.13.1+18.04.20180221.1-0ubuntu1) bionic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Region: define static const functions returning infinite and empty
    regions (LP: #1749957, #1750619)

  [ Samuel Thibault ]
  * ezoom: Add option to choose between no smoothing and linear
    smoothing (LP: #1736446)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 21 Feb 2018 17:34:08 +0000

compiz (1:0.9.13.1+18.04.20171116-0ubuntu1) bionic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * unity-lowgfx.ini: remove unsupported unity option

  [ Samuel Thibault ]
  * X11: keep the last MotionNotify when collapsing them (LP: #1728870)
  * compizconfig: load modules in alphabetical order instead of
    undefined order (LP: #1729045)

  [ ksamak ]
  * neg: added hook to react to change in ccsm, for autostart option

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 16 Nov 2017 03:25:54 +0000

compiz (1:0.9.13.1+17.10.20170901-0ubuntu1) artful; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Rebuild to generate cmake-3.9 files

  [ Martin Wimpress ]
  * Update the MATE profile defaults to include <Shift>Print keybinding,
    updated animation matches that include MATE applications and show
    thumbnails and icons in the application switcher.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Fri, 01 Sep 2017 09:53:37 +0000

compiz (1:0.9.13.1+17.10.20170720-0ubuntu1) artful; urgency=medium

  * debian: tune unity-lowgfx profile and add upgrades

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 20 Jul 2017 10:02:32 +0000

compiz (1:0.9.13.1+17.10.20170704-0ubuntu1) artful; urgency=medium

  [ Alberts Muktupāvels ]
  * Use AnyPropertyType when getting _MOTIF_WM_HINTS property. (LP:
    #1702297)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 04 Jul 2017 13:02:08 +0000

compiz (1:0.9.13.1+17.10.20170703-0ubuntu1) artful; urgency=medium

  * move: damage all the border area in outline mode and ignore
    transparent colors (LP: #1700859)
  * grid: ignore alpha in colors when not blending, and fix animations
    (LP: #1700859)
  * resize: add support for disabling transparency and avoid over-
    damaging in outline mode (LP: #1700859)
  * Screen: add averageColor to get the current desktop average color

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 03 Jul 2017 15:21:34 +0000

compiz (1:0.9.13.1+17.10.20170616-0ubuntu1) artful; urgency=medium

  [ Martin Wimpress ]
  * Mate: tune profile for faster switcher and Super+L support

  [ ksamak ]
  * showmouse: added autostart option

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 16 Jun 2017 15:17:48 +0000

compiz (1:0.9.13.1+17.10.20170515-0ubuntu1) artful; urgency=medium

  [ Martin Wimpress ]
  * mate: Avoid artefacts of Windows Thumbnail Previews (LP: #1606369)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 15 May 2017 05:51:32 +0000

compiz (1:0.9.13.1+17.10.20170427-0ubuntu1) artful; urgency=medium

  [ Alberts Muktupāvels ]
  * Ensure that surfaces used by metacity theme have device scale set to
    1 (LP: #1530277). (LP: #1530277)
  * gtk-window-decorator: require libmetacity 3.22.0 or newer.
  * Fix initial serverFrame position. (LP: #1390157, #1579421)
  * Fix move rectangle size.
  * gtk-window-decorator: scale window decorations on HiDPI (LP:
    #1530277)

  [ Colomban Wendling ]
  * Restore the ColorChooser plugin by porting it to new OpenGL plugin
    API.

  [ Marco Trevisan (Treviño) ]
  * debian/65compiz_profile-on-session: don't export
    COMPIZ_CONFIG_PROFILE in unity

  [ Martin Wimpress ]
  * Mate: don't use the workaround plugin (LP: #1611797)

  [ ksamak ]
  * obs: added default o/b/s spawn values for new windows
  * debian: added pacakging for colorfilter plugin

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 27 Apr 2017 06:41:27 +0000

compiz (1:0.9.13.1+17.04.20170109-0ubuntu1) zesty; urgency=medium

  [ Eleni Maria Stea ]
  * Move: add options for showing only the window shape (filled or not)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 09 Jan 2017 15:09:13 +0000

compiz (1:0.9.13.1+17.04.20161114.1-0ubuntu1) zesty; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release 0.9.13.1

  [ Alberts Muktupāvels ]
  * Fix build with -DUSE_METACITY=OFF.

  [ ksamak ]
  * Negative: add option to ensure windows are negative by default on
    startup

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 14 Nov 2016 18:20:26 +0000

compiz (1:0.9.13.0+17.04.20161107-0ubuntu1) zesty; urgency=medium

  [ Eleni Maria Stea ]
  * fixes compile errors caused by unused test functions

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 07 Nov 2016 17:03:48 +0000

compiz (1:0.9.13.0+17.04.20161104-0ubuntu1) zesty; urgency=medium

  * No-change rebuild against Metacity 3.22.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 04 Nov 2016 19:28:03 +0000

compiz (1:0.9.13.0+17.04.20161103-0ubuntu1) zesty; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: require libmetacity 3.20 or newer.
  * gtk-window-decorator: improve GTK+ theme support, full support will
    require Metacity 3.22.
  * gtk-window-decorator: use `resize` not `invisible` border
  * GWD: add support for metacity 3.22 (LP: #1629749)

  [ Eleni Maria Stea ]
  * Added option to disable blend in grid plugin

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 03 Nov 2016 18:31:18 +0000

compiz (1:0.9.13.0+17.04.20161026-0ubuntu1) zesty; urgency=medium

  * Rebuild against cmake 3.6



=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 2.8.5),
               debhelper (>= 9~),
               dh-migrations,
               dh-translations,
               intltool,
               libtool,
               pkg-config,
               quilt (>= 0.40),
               libcairo2-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev (>= 6.5.1) [!armhf !armel] | libgl-dev [!armhf !armel],
               libegl1-mesa-dev [armhf armel], libgles2-mesa-dev [armhf armel],
               libboost-dev,
               libboost-serialization-dev,
               libglib2.0-dev,
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libice-dev (>= 1:1.0.1), 
               libmetacity-dev (>= 1:3.22.0),
               libpango1.0-dev,
               libpng-dev,
               librsvg2-dev, 
               libsm-dev (>= 1:1.0.1),
               libwnck-3-dev,
               libx11-dev,
               libxcomposite-dev (>= 1:0.3-2),
               libxext-dev,
               libxdamage-dev (>=1:1.0.3),
               libxfixes-dev (>= 1:4.0.1),
               libxi-dev,
               libxinerama-dev, 
               libxml-parser-perl,
               libxorg-gtest-dev,
               libxrandr-dev (>= 2:1.1.0.2),
               libxrender-dev (>= 1:0.9.1), 
               libxcursor-dev,
               libxml2-dev,
               libxslt1-dev,
               xsltproc,
               libstartup-notification0-dev (>= 0.7),
               x11proto-gl-dev (>= 1.4.8),
               libglu1-mesa-dev [!armhf !armel],
               libjpeg-dev,
               libnotify-dev,
               libx11-xcb-dev,
               libprotobuf-dev,
               protobuf-compiler,
               python-all-dev,
               python-pyrex,
               gsettings-desktop-schemas-dev,
               xserver-xorg-dev (>= 0.7.0),
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
# If you aren't a member of ~compiz-team but need to upload packaging changes,
# just go ahead.  ~compiz-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~compiz-team/compiz/0.9.10
Homepage: https://launchpad.net/compiz

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}),
         compiz-plugins-default (>= ${source:Version}),
         compiz-gnome,
         ${misc:Depends},
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: compiz-plugins-default,
Provides: compiz-core-abiversion-${coreabiversion}
Replaces: compizconfig-settings-manager (<< 0.9.8)
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0-dev (= ${binary:Version}),
         ${misc:Depends},
         compiz-plugins-default (= ${binary:Version}),
         libgl1-mesa-dev [!armhf !armel] | libgl-dev [!armhf !armel],
         libegl1-mesa-dev [armhf armel],
         libgles2-mesa-dev [armhf armel],
         libpng-dev,
         libxcomposite-dev (>= 1:0.3-2),
         libxfixes-dev (>=1:4.0.1),
         libxdamage-dev (>= 1:1.0.3),
         libxinerama-dev,
         libxrandr-dev (>=2:1.1.0.2),
         libxcursor-dev,
         libice-dev (>= 1:1.0.1),
         libsm-dev (>= 1:1.0.1),
         libstartup-notification0-dev (>= 0.7),
         libxslt1-dev,
         libxml2-dev,
         libx11-xcb-dev,
         libglib2.0-dev,
         libglibmm-2.4-dev,
         libgtk-3-dev,
Replaces: compiz-plugins-main-dev (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-dev (<< 1:0.9.8),
Breaks: compiz-plugins-main-dev (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
Suggests: compiz-plugins
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gnome
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         compiz-plugins-default (= ${binary:Version}),
         gsettings-desktop-schemas,
         gnome-settings-daemon-schemas (>= 3.4.2-0ubuntu9),
         python3-gi
Recommends: gnome-system-monitor | mate-system-monitor,
Replaces: compiz-plugins-main (<= 1:0.9.8),
          compiz-plugins-main-default (<= 1:0.9.8),
          libcompizconfig0 (<= 1:0.9.8),
Breaks: compiz-plugins-main (<= 1:0.9.8),
        compiz-plugins-main-default (<= 1:0.9.8),
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-mate
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         compiz-gnome,
         mate-settings-daemon,
         python
Recommends: ubuntu-mate-wallpapers-common,
Description: OpenGL window and compositing manager - MATE integration
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins-default
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main-default (<< 1:0.9.8),
          compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
Breaks: compiz-plugins-main-default (<< 1:0.9.8),
        compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
Description: OpenGL window and compositing manager - default plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the default set of core Compiz plugins.

Package: compiz-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         compiz-plugins-default (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-plugins-main-default (<< 1:0.9.8),
          compiz-core (<< 1:0.9.11+14.10.20140606),
Breaks: compiz-plugins-main (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
        compiz-core (<< 1:0.9.11+14.10.20140606),
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the plugins that come with compiz but not officially
 supported.

Package: libdecoration0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libdecoration0 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev (>= 1:0.9.1),
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

Package: libcompizconfig0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         compiz-core (= ${binary:Version}),
Description: Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the library for plugins to configure settings.

Package: libcompizconfig0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libcompizconfig0 (= ${binary:Version}),
         compiz-dev,
Description: Development file for plugin settings - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the headers and development files needed to
 build plugins with settings support.

Package: python-compizconfig
Architecture: any
Multi-Arch: same
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Compizconfig bindings for Python
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides Python bindings for the compizconfig system.

Package: compizconfig-settings-manager
Architecture: all
Multi-Arch: allowed
XB-Python-Version: ${python:Versions}
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-compizconfig (>= ${source:Version}),
         python-gtk2,
Recommends: compiz-plugins-default
Description: Compiz configuration settings manager

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export COMPIZ_DEB_BUILD=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
python2_version := $(shell pyversions --requested --version debian/control)
gles2_architectures := armel armhf

# currently, segfault if CMAKE_BUILD_TYPE=Release
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

# libgtkmm requires C++-11, and some plugins require libgtkmm, so we do too
# (lp: #1477978)
export DEB_CXXFLAGS_MAINT_APPEND=-std=c++11

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/core/abiversion.h )

override_dh_auto_configure:
        # right now, xorg-gtest won't compile on arm.
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=OFF -DCOMPIZ_DISABLE_PLUGIN_KDE=ON -DCOMPIZ_BUILD_TESTING=OFF -DUSE_KDE4=OFF -DBUILD_GLES=ON -DBUILD_XORG_GTEST=OFF
else
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=OFF -DCOMPIZ_DISABLE_PLUGIN_KDE=ON -DCOMPIZ_BUILD_TESTING=OFF -DUSE_KDE4=OFF
endif

override_dh_install:
	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR and
	# DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && \
	mkdir -p debian/compiz-dev$${cmake_dir}/Modules && \
	cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules && cp cmake/FindOpenGLES2.cmake debian/compiz-dev$${cmake_dir}/Modules
else
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && \
	cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules
endif

	# remove .a files
	rm -f debian/tmp/usr/lib/*.a

        # remove acceptance test binary
	rm -f debian/tmp/usr/bin/compiz_autopilot_acceptance_tests

	# ugly hack to install xml files
	mkdir -p debian/tmp/usr/share/gnome-control-center/keybindings
	find */gtk/gnome -name *.xml | xargs cp -at debian/tmp/usr/share/gnome-control-center/keybindings/

	# work around having a file with a conflicted special name (#1156294)
	cp debian/compizconfig debian/tmp/config

	# accommodate Python's just-gotta-be-different approach to multi-arch
	python2_dir=debian/tmp/usr/lib/python$(python2_version)/dist-packages; \
	mv $${python2_dir}/compizconfig.so \
	   $${python2_dir}/compizconfig.$(DEB_HOST_MULTIARCH).so

	dh_install --fail-missing

	# remove the compizconfig dev file from compiz-dev
	rm debian/compiz-dev/usr/share/compiz/cmake/LibCompizConfigCommon.cmake

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

override_dh_auto_test:
	#dh_auto_test

%:
	dh $@ --parallel --with python2,migrations,translations

## compiz 0.9.13.1+17.04.20170109

=== CMakeLists.txt ===
option (BUILD_GTK "Build gtk-window-decorator and Gnome related toold" 1)
option (BUILD_METACITY "Gtk-window-decorator metacity theme support" 1)
option (BUILD_GNOME "GNOME integration" 1)

compiz_set (USE_GTK ${BUILD_GTK})
compiz_set (USE_METACITY ${BUILD_METACITY})
compiz_set (USE_GNOME ${BUILD_GNOME})

if (USE_GTK)
    pkg_check_modules (GTK_WINDOW_DECORATOR
	xrender>=0.8.4
	gtk+-3.0
	libwnck-3.0
	pangocairo
    )
    if (GTK_WINDOW_DECORATOR_FOUND)
        set (CMAKE_REQUIRED_FLAGS ${GTK_WINDOW_DECORATOR_CFLAGS})
        set (CMAKE_REQUIRED_LIBRARIES ${GTK_WINDOW_DECORATOR_LIBRARIES})
        list (FIND CMAKE_REQUIRED_FLAGS "-D_REENTRANT" REENTRANT_INDEX)
        if (REENTRANT_INDEX)
          list (REMOVE_AT CMAKE_REQUIRED_FLAGS REENTRANT_INDEX)
          list (APPEND CMAKE_REQUIRED_FLAGS "-D_REENTRANT=1")
        endif (REENTRANT_INDEX)
        set (CMAKE_REQUIRED_FLAGS "")
        set (CMAKE_REQUIRED_LIBRARIES "")

        if (USE_METACITY)
            pkg_check_modules (LIBMETACITY libmetacity>=3.20.0)

            if (LIBMETACITY_FOUND)
                compiz_pkg_check_modules (HAVE_METACITY_3_22_0 libmetacity>=3.22.0)

                set (METACITY_INCLUDE_DIRS ${LIBMETACITY_INCLUDE_DIRS})
                set (METACITY_LIBRARIES ${LIBMETACITY_LIBRARIES})
            else (LIBMETACITY_FOUND)
                compiz_set (USE_METACITY 0)
            endif (LIBMETACITY_FOUND)
        endif (USE_METACITY)

	if (USE_GNOME)
	    compiz_pkg_check_modules (GNOME_WINDOW_SETTINGS
		gnome-window-settings-2.0
		gnome-desktop-2.0
	    )

	    if (GNOME_WINDOW_SETTINGS_FOUND)
	        exec_program (${PKG_CONFIG_EXECUTABLE} 
		  ARGS "--variable=prefix gnome-window-settings-2.0" 
		  OUTPUT_VARIABLE windowsettingsdatadir
		)
		set (windowsettingsdatadir ${windowsettingsdatadir}/share)
		exec_program (${PKG_CONFIG_EXECUTABLE} 
		  ARGS "--variable=libdir gnome-window-settings-2.0"
		  OUTPUT_VARIABLE windowsettingslibdir
		)
	    else (GNOME_WINDOW_SETTINGS_FOUND)
		compiz_set (USE_GNOME 0)
	    endif (GNOME_WINDOW_SETTINGS_FOUND)
	endif (USE_GNOME)

    else (GTK_WINDOW_DECORATOR_FOUND)
	compiz_set (USE_GTK 0)
    endif (GTK_WINDOW_DECORATOR_FOUND)
endif (USE_GTK)

if (NOT USE_GTK)
    compiz_set (USE_METACITY 0)
endif (NOT USE_GTK)

configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/config.h.gtk.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
)

add_subdirectory (window-decorator)
add_subdirectory (gnome)

## compiz 0.9.13.1+18.04.20171116

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,10 @@
         set (CMAKE_REQUIRED_LIBRARIES "")
 
         if (USE_METACITY)
-            pkg_check_modules (LIBMETACITY libmetacity>=3.20.0)
+            pkg_check_modules (LIBMETACITY libmetacity>=3.22.0)
 
             if (LIBMETACITY_FOUND)
-                compiz_pkg_check_modules (HAVE_METACITY_3_22_0 libmetacity>=3.22.0)
+                compiz_pkg_check_modules (HAVE_METACITY_3_26_0 libmetacity>=3.25.1)
 
                 set (METACITY_INCLUDE_DIRS ${LIBMETACITY_INCLUDE_DIRS})
                 set (METACITY_LIBRARIES ${LIBMETACITY_LIBRARIES})

=== libcompizconfig/tests/CMakeLists.txt ===
include_directories (${GTEST_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/include)
include_directories (${CMAKE_SOURCE_DIR}/tests/shared)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../mocks/libcompizconfig)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../src)
include_directories (${CMAKE_SOURCE_DIR}/compizconfig/tests)
link_directories (${CMAKE_INSTALL_PREFIX}/lib)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../mocks/libcompizconfig)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../tests/)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../src/)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_definitions (-DSYSCONFDIR=\\\"${COMPIZ_SYSCONFDIR}\\\")

add_executable (compizconfig_test_ccs_object
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_object.cpp)

add_executable (compizconfig_test_ccs_context
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_context.cpp)

add_executable (compizconfig_test_ccs_plugin
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_plugin.cpp)

add_executable (compizconfig_test_ccs_setting
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_setting.cpp)

add_executable (compizconfig_test_ccs_backend
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_backend.cpp)

add_executable (compizconfig_test_ccs_text_file
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_text_file.cpp)

add_executable (compizconfig_test_ccs_mock_backend_conformance
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_mock_backend_conformance.cpp)

add_executable (compizconfig_test_ccs_util
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_util.cpp)

add_executable (compizconfig_test_ccs_upgrade_internal
    ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_settings_upgrade_internal.cpp)

if (HAVE_PROTOBUF)
    set (LIBCOMPIZCONFIG_LIBRARIES
	 ${LIBCOMPIZCONFIG_LIBRARIES}
	 protobuf)
endif (HAVE_PROTOBUF)

target_link_libraries (compizconfig_test_ccs_object
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig)

target_link_libraries (compizconfig_test_ccs_context
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_setting_mock
		       compizconfig_ccs_config_file_mock
                       compizconfig_ccs_backend_loader_mock
                       compizconfig_ccs_backend_mock)

target_link_libraries (compizconfig_test_ccs_plugin
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_setting_mock)

target_link_libraries (compizconfig_test_ccs_backend
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_setting_mock
		       compizconfig_ccs_backend_mock)

target_link_libraries (compizconfig_test_ccs_mock_backend_conformance
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_setting_mock
                       compizconfig_ccs_backend_mock
                       compizconfig_ccs_backend_conformance_test
                       compizconfig_ccs_item_in_list_matcher
                       compizconfig_ccs_list_equality
                       compizconfig_ccs_list_wrapper
                       compizconfig_ccs_setting_value_operators
                       compizconfig_ccs_test_value_combinations)

target_link_libraries (compizconfig_test_ccs_setting
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_plugin_mock
                       compizconfig_ccs_setting_mock
                       compizconfig_ccs_list_wrapper)

target_link_libraries (compizconfig_test_ccs_text_file
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       ccs_text_file_interface
                       compizconfig_ccs_text_file_mock
                       compizconfig)

target_link_libraries (compizconfig_test_ccs_upgrade_internal
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
                       ccs_settings_upgrade_internal
                       compizconfig
                       compizconfig_ccs_context_mock
                       compizconfig_ccs_plugin_mock
                       compizconfig_ccs_setting_mock
                       compizconfig_ccs_item_in_list_matcher
		       compizconfig_ccs_setting_value_matcher
)

target_link_libraries (compizconfig_test_ccs_util
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
                       compizconfig
)

compiz_discover_tests (compizconfig_test_ccs_object COVERAGE compizconfig)
compiz_discover_tests (compizconfig_test_ccs_context COVERAGE compizconfig_ccs_context_mock)
compiz_discover_tests (compizconfig_test_ccs_plugin COVERAGE compizconfig_ccs_plugin_mock)
compiz_discover_tests (compizconfig_test_ccs_setting COVERAGE compizconfig_ccs_setting_mock)
compiz_discover_tests (compizconfig_test_ccs_mock_backend_conformance COVERAGE compizconfig_ccs_backend_mock)
compiz_discover_tests (compizconfig_test_ccs_text_file COVERAGE ccs_text_file_interface compizconfig_ccs_text_file_mock)
compiz_discover_tests (compizconfig_test_ccs_upgrade_internal COVERAGE ccs_settings_upgrade_internal)
compiz_discover_tests (compizconfig_test_ccs_util COVERAGE compizconfig)
